Restores

Everything about PostgreSQL restores.

In-place restore of a cluster

post

Triggers an in-place restore of the given PostgreSQL.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
Body

The restore request.

backupIdstringRequired

The unique ID of the backup you want to restore.

Example: dcd31531-3ac8-11eb-9feb-046c59cc737e
recoveryTargetTimestring · date-timeOptional

If this value is supplied as ISO 8601 timestamp, the backup will be replayed up until the given timestamp. If empty, the backup will be applied completely.

Example: 2020-12-10T13:37:50+01:00
Responses
post
/clusters/{clusterId}/restore

No content

Last updated

Was this helpful?